TEXT CHANGE TO PIPE DIA IN SINGLE CLICK

CREDIT GOES TO:  Kent1Cooper,  Tharwat  

Example:


Command:  25
Select text:
Selected text will changed to:   25x


Command:  DIAA
Select text:
Selected text will changed to:   TEXTx



Autocad Command Prompt : 1 OR 2,3,4,5,6,7,8,910,11,12,15,18,20,22,25,28,32,35,40,42,50,54,67,75,82,100,108,110,125,133,150,160,175,200,210,250,300,350,400,500,600,700,800,900&1000


Download .lsp File   DOWNLOAD


               OR


LISP CODE:

(vl-load-com); [if needed]

(defun numdia (num / a); = NUMber with DIAmeter symbol
  (if (setq a (entsel (strcat "\nSelect the text you want to change to " num "dia : ")))
    (vla-put-TextString (vlax-ename->vla-object (car a)) (strcat num "%%C"))
  ); if
); defun

(defun C:1 () (numdia "1"))
(defun C:2 () (numdia "2"))
(defun C:3 () (numdia "3"))
(defun C:4 () (numdia "4"))
(defun C:5 () (numdia "5"))
(defun C:6 () (numdia "6"))
(defun C:7 () (numdia "7"))
(defun C:8 () (numdia "8"))
(defun C:9 () (numdia "9"))
(defun C:10 () (numdia "10"))
(defun C:11 () (numdia "11"))
(defun C:12 () (numdia "12"))
(defun C:15 () (numdia "15"))
(defun C:18 () (numdia "18"))
(defun C:20 () (numdia "20"))
(defun C:22 () (numdia "22"))
(defun C:25 () (numdia "25"))
(defun C:28 () (numdia "28"))
(defun C:32 () (numdia "32"))
(defun C:35 () (numdia "35"))
(defun C:40 () (numdia "40"))
(defun C:42 () (numdia "42"))
(defun C:50 () (numdia "50"))
(defun C:54 () (numdia "54"))
(defun C:67 () (numdia "67"))
(defun C:75 () (numdia "75"))
(defun C:82 () (numdia "82"))
(defun C:100 () (numdia "100"))
(defun C:108 () (numdia "108"))
(defun C:110 () (numdia "110"))
(defun C:125 () (numdia "125"))
(defun C:133 () (numdia "133"))
(defun C:150 () (numdia "150"))
(defun C:160 () (numdia "160"))
(defun C:175 () (numdia "175"))
(defun C:200 () (numdia "200"))
(defun C:210 () (numdia "210"))
(defun C:250 () (numdia "250"))
(defun C:300 () (numdia "300"))
(defun C:350 () (numdia "350"))
(defun C:400 () (numdia "400"))
(defun C:500 () (numdia "500"))
(defun C:600 () (numdia "600"))
(defun C:700 () (numdia "700"))
(defun C:800 () (numdia "800"))
(defun C:900 () (numdia "900"))
(defun C:1000 () (numdia "1000"))


(defun c:diaa (/ ss i sn)
  (if (setq ss (ssget "_:L" '((0 . "*TEXT"))))
    (repeat (setq i (sslength ss))
      (setq sn (ssname ss (setq i (1- i))))
      (entmod (subst (cons 1 (strcat (cdr (assoc 1 (entget sn))) "%%c"))
       (assoc 1 (entget sn)) (entget sn) )))) (princ))

Copy and Paste From Different files very slow

SOLUTION:



Command: -SCALELISTEDIT

Reset, Enter
Yes, Enter
 Exit

Do this steep in Both Drawing.

Then Try.

    This command available Auto Cad 2008 and above only





Layer Merge Not working In Autocad


SOLUTION


Command:  Layer,

Lock all Layer,
Un lock all layer 
Apply
ok

Then try:    Laymrg

SPEED UP YOUR AUTOCAD


      "Anyone know more good options please comment we can update"


      USE FOLLOWING COMMAND

  • RESET -SCALELISTEDIT
  • USE HIGH VALUE OF LTSCALE 
  • OPEN IN 2012 AND ABOVE IT WILL SPEED UP YOUR DRAWING
  • USE WBLOK AND WORK IN NEW WBLOCKED FILE
  • RESTART YOUR AUTOCAD AND OS
  • USE PURGE
  • USE PURGE  FOR REGAPPS
  • USE AUDIT
  • FOR SINGE FILE PROBLEM USE RECOVER
  • FOR XREF ATTACHED FILE USE RECOVERALL
  • REMOVE UNUSED XREF 
  • USE OVERKILL
  • REMOVE UNWANTED LAYERFILTER
  • CHECK YOU SUPPORT FILE SAVEPATH
  • REMOVE UNWANTED PRINTERS
  • REMOVE EMPTY GROUPS
  • REMOVE UNREFERENCED SHOUT CUT FROM OPEN WINDOW
  • DONT KEEP TOO MUCH VIEW PORTS IN LAYOUT
  • SPLIT YOUR BIGGER DRAWING

CHANGE AUOCAD SYSTEM VARIABLES(for advanced users) 

  • SET ZOOMFACTOR  100
  • SET INDEXCTL  3
  • SET SELECTIONPREVIEW 0
  • SET VTENABLE 0
  • SET REGENAUTO OFF
  • SET HPQUICKPREVIEW OFF
  • SET SAVEFIDELITY 0
  • SET ISAVEPERSENT 100
  • SET QPMODE 0
  • SET LAYERDLGMODE 0
  • SET LAYOUTREGENCTL 1
  • SET CURSORSIZE 7
  • SET GRIPOBJLIMIT 50
  • SET IMAGEQUALITY DRAFT
  • SET HPISLANDDETECTION 2
  • SET SHADEMODE 2D IN MODEL AND VIEWPORT
  • SET QTEXTMODE 1
  • SET VIEWRES 20
  • SET SIGWARN 0
  • SET SELECTIONCYCLING 0
  • SET ROLLOVERTIPS 0
TURN OFF FEATURES 
  • TURN OFF VISUALSTYLES CLOSE
  • TURN OFF UNWANTED TOOL BAR
  • TURN OFF SCROLL BAR
  • TURN OFF DYNAMIC INPUT
  • TURN OFF VTOPTIONS
  • TURN OFF TRANSPARENCY FROM WINDOWS 

CHANGE YOUR WORKING STYLE

  • USE XREF FOR BIGGER DRAWING
  • USE BLOCKS REPEATED ITEMS AND BACKGROUND DISPLAY
  • USE DYNAMIC BLOCKS
  • USE FIELD
  • MAKE A BLOCK LIBRARY 
  • USE GROUPS REPEATED ITEMS
  • USE QUICK SELECT FOR LARGE SELECTION
  • USE FILTER FOR LARGE SELECTION
  • USE WINDOW SELECTION
  • SET APPOPIRATE OSMODE
  • USE SHX FONTS, TFF FONT SLOW YOU
  • USE LAYER COMMAND
  • GIVE PROPERTIES BY LAYER
  • GIVE THICKNESS THROUGH CTB
  • MAKE PAGE SETUP LAYOUT
  • MAKE YOUR OWN TEMPLATE AND STANDARDS 
  • MAKE MAXIMUM DRAWING WINDOW IT WILL REDUCE ZOOM AND PAN COMMAND
  • TRY CLEANSCREEN IT WILL GIVE YOU MORE  DRAWING WINDOW
  • USE SCROL MOUSE
  • USE KEYBOARD FOR COMMAND ENTRY 
  • USE SHOTCUTS FOR COMMAND ENTRY
  • DOCK THE COMMAND WINDOWS
  • USE THUMB FINGER AND SPACE BAR FOR ENTER
  • ADD YOUR OWN SHORT CUT THROUGH ALIAS EDITOR
  • USE APPROPRIATE LISP RELATED TO WORK
  • SET ORIGINAL COORDINATE SAME IN ALL DRAWING
  • USE AUTOCAD 2012 AND ABOVE, THIS HELP YOU REDUCE FILE SIZE 
CHANGE YOUR OS FEATURES
  • CLEAN  OS TEMP FOLDER
  • CLEAN YOUR OS USING "EX.CCCLEANER" (for advanced users only)
  • USE DISKFRAG PROGRAMME
  • CLOSE UNWANTED PROGRAMMES  
  • CHANGE OS TO MAXIMUM PERFORMANCE 
  • UPDATE YOUR VIDEO DRIVER (for advanced users only)
  • REMOVE UNWANTED FONTS (for advanced users only)
  • UPDATE YOUR HARDWARE AND OS

      "Anyone know more good options please comment we can update"


SIMPLE LISP FOR BEGINNERS

                       Simple LISP For Beginners


FREE Download simple lisp files for AUTOCAD. For downloading check our  posts.

Match your text contents


Autocad Command Prompt : MM


Command:  MM
Select source text:
Selected text destination text:

"This lisp only for dtext not for mtext,if anyone know for mtext please comment"



Download .lsp File   DOWNLOAD


               OR


LISP CODE:

(DEFUN C:MM()
  (SETQ A (ENTSEL "\nSelect source text : "))
  (SETQ LL (ENTGET (CAR A)))
  (SETQ kk (ASSOC 1  LL))
  (SETQ DD (CDR kk))
  (SETQ F (ENTSEL "\nSelect destination text : "))
  (SETQ H (ENTGET (CAR F)))
  (SETQ J (ASSOC 1  H))
  (SETQ UUU (CDR J ))
  (SETQ UUU (CONS 1 DD))
  (SETQ U (SUBST UUU J H ))
  (ENTMOD u)
      )




Under line the text using lisp in a single click



Command:  G
Select  text:
Enter:

"This lisp only for dtext not for mtext,if anyone know for mtext please comment"


Download .lsp File   DOWNLOAD

        OR

LISP CODE:

(defun C:G()
  (setq a (ssget))
  (setq b (sslength a))
  (setq d 0)
  (while (/= d b)
    (setq c (ssname a d))
    (setq d (+ 1 d))
    (setq e (entget c))
    (setq c (assoc 1 e))
    (setq v (cdr c))
    (setq m "%%u")
    (setq j (strcat m v))
    (setq n (cons 1 j))
    (setq u (subst n c e))
    (entmod u)
  )
  )